"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupSessionSchema = exports.GroupSession = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const identifable_schema_1 = require("../identifable.schema");
const week_day_enum_1 = require("../../enums/week-day.enum");
const i18n_embedded_1 = require("./i18n.embedded");
const time_schema_1 = require("./time.schema");
let GroupSession = class GroupSession extends identifable_schema_1.Identifable {
};
exports.GroupSession = GroupSession;
__decorate([
    (0, mongoose_1.Prop)({ type: i18n_embedded_1.I18nSchema, required: false }),
    __metadata("design:type", Object)
], GroupSession.prototype, "description", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: String, enum: week_day_enum_1.WeekDay, required: true }),
    __metadata("design:type", Number)
], GroupSession.prototype, "day", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: time_schema_1.Time, required: true }),
    __metadata("design:type", Object)
], GroupSession.prototype, "time", void 0);
exports.GroupSession = GroupSession = __decorate([
    (0, mongoose_1.Schema)()
], GroupSession);
exports.GroupSessionSchema = mongoose_1.SchemaFactory.createForClass(GroupSession);
//# sourceMappingURL=group-session.schema.js.map