import { Injectable, PipeTransform } from '@nestjs/common';
import { ObjectId } from 'bson';
import { toMongoIdArray } from '../utils/helper.utils';

@Injectable()
export class MongoIdsPipe implements PipeTransform<string, ObjectId[]> {
    transform(values: string | string[]): ObjectId[] {
        return toMongoIdArray(values);
    }
}
